No puedo actualizar Brave Beta

Hola, tengo un problema, no puedo actualizar Brave beta, actualmente tengo la verción 1.26.60 pero no me deja actualizar, aparece este error:

Se ha producido un error al comprobar las actualizaciones: Se ha producido un error en la descarga. (código de error 7: [0x80072F7D] – system level).

¿Saben como puedo solucionarlo?

Gracias.

Ya lo solucione, lo que hice fue instalar de nuevo el navegador sin haber desinstalado nada, no perdí nada